Skip to main content
Resource Center/Network Service/Network Service Operations/NetFlow APIs

UpdateFlowCollector

UpdateFlowCollector

PUT/zstack/v1/flowmeters/collectors/{uuid}/actions

Operation ID

UpdateFlowCollector

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • server
    String

    Optional. The collector IP address.

  • port
    Long

    Optional. The UDP port.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    FlowCollectorInventoryRequired

    See inventory

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • flowMeterUuid
      StringRequired

      The flow meter UUID.

    • server
      StringRequired

      The IP address of the flow collector.

    • port
      LongRequired

      The UDP port of the flow collector.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.